Bug 744014 - directory stack not saved with terminal state
directory stack not saved with terminal state
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-terminal (Show other bugs)
16
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-06 14:33 EDT by mlcreech
Modified: 2013-02-13 12:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 12:55:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mlcreech 2011-10-06 14:33:37 EDT
When logging out / rebooting, the active state of each gnome-terminal session is saved, including the current working directory.  However, the directory stack ('dirs') is not saved.  I often use 'pushd' and 'popd' to navigate the directory tree; when I log in, a new terminal is created with a deeply-nested working directory, but typing "popd" won't return me to the base directory that I usually work from.

In this case, saving the CWD but not the directory stack makes things inconsistent, and is actually more cumbersome for me than just starting each terminal session in my home directory.  Saving the stack (the output of 'dirs') for each terminal, and restoring it when logging back in, would be a very useful addition.


Version-Release number of selected component (if applicable): F15 and F16-beta


How reproducible: Always


Steps to Reproduce:
1. Open a new terminal session
2. Type "cd [subdirectory]"
3. Type "pushd [deeply-nested-directory]"
4. Log out of gnome
5. Log back in again
6. Check CWD in terminal; should be in [deeply-nested-directory]
7. Try to "popd" back to [subdirectory]
  
Actual results: "bash: popd: directory stack empty"

Expected results: directory stack is maintained, "popd" returns to previous directory in the stack
Comment 1 Fedora Admin XMLRPC Client 2012-01-10 10:45:55 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 Fedora Admin XMLRPC Client 2012-01-10 10:49:12 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 3 Fedora End Of Life 2013-01-16 10:22:23 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Fedora End Of Life 2013-02-13 12:55:20 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.